MEMORY_CS(4)

NAME
memory_cb - CardBus memory driver

SYNOPSIS
insmod memory_cb.o [pc_debug= n]

DESCRIPTION
Memory_cb gives direct memory access to the address spaces of CardBus cards. It provides character-mode devices for accessing a card's PCI configuration space, up to six mapped memory or IO regions, and its expansion ROM space. When loaded, memory_cb will allocate a free major device number. For each card, it will report which address spaces are available, and their sizes. Minor numbers have the form 'dddddsss', where 'ddddd' is the instance number and 'sss' is the memory space for that instance. When memory_cb is bound to a card, it will report its major and minor device numbers to cardmgr(8).

The default memory card initialization script creates device special files for all eight card address spaces, though for a particular card, some of these may be unavailable. These devices have the following names:

/dev/cbmem#s0
    The card's PCI configuration space.

/dev/cbmem#s[1-6]
    The IO or memory spaces mapped by the card's six Base Address Registers.

/dev/cbmem#s7
    The card's expansion ROM space.

The character special devices can be used to read and write arbitrary numbers of bytes to arbitrary locations. The memory_cb driver can be bound to any card regardless of function.

PARAMETERS

pc_debug=n
    Selects the PCMCIA debugging level. This parameter is only available if the module is compiled with debugging enabled. A non-zero value enables debugging.

AUTHOR
David Hinds - dahinds@users.sourceforge.net

SEE ALSO
cardmgr(8), pcmcia(5), memory_cs(4).